Bug 135279 - Promote Major Upgrade of IDE
Promote Major Upgrade of IDE
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Autoupdate
6.x
All All
: P3 (vote)
: 6.x
Assigned To: dlipin
issues@platform
http://wiki.netbeans.org/AutoupdateSu...
67patch2-fixed
: PLAN, UI
: 153521 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-18 14:51 UTC by Jiri Rechtacek
Modified: 2009-10-26 13:57 UTC (History)
8 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Rechtacek 2008-05-18 14:51:23 UTC
Plugin Manager should promote new release of IDE via autoupdate services, more info at
http://wiki.netbeans.org/AutoupdateSupportsMajorReleaseUpgrade
Comment 1 Antonin Nebuzelsky 2008-11-14 15:31:34 UTC
Reassigning to the new "autoupdate/*" owner dlipin.
Comment 2 dlipin 2008-11-20 12:10:49 UTC
*** Issue 153521 has been marked as a duplicate of this issue. ***
Comment 3 pzajac 2008-12-05 13:24:14 UTC
Any plans for this issue? Allmost all programs are installable via update (firefox, ubuntu, antivirus). This issue
doesn't allow us to update platform with every minor release... 
Comment 4 dlipin 2008-12-05 13:29:04 UTC
Petr,

The current plan (for 7.0) is to show information in the IDE (platform application) about the new major version 
released and probably to open specific URL in the browser where one can get(download) a new version.

The real upgrade (e.g. from 6.5 to 7.0) by means of the IDE (platform application) is unfortunately not planned for 7.0.

Dmitry
Comment 5 dlipin 2009-03-13 11:29:34 UTC
Some more ideas here:
http://wiki.netbeans.org/NetBeansMajorVersionUpgrade
Comment 6 dlipin 2009-08-31 14:12:19 UTC
Fixed in
http://hg.netbeans.org/core-main/rev/beaca5e3bd5f
http://hg.netbeans.org/core-main/rev/2560f306da37

Now the promotion is done using "notification" element in the UC catalog:
<notification url="someurl">some message</notification>
When such element is found in the catalog, the appropriate notification is shown to the user using the standard 
NetBeans Notification API.

The support for adding this element to the catalog (generate-uc-catalog/MakeUpdateDesc.java) is added in the second 
changeset. 
The recomended way to set notification is to write notification data - which is controlled by properties 
catalog.notification.message and catalog.notification.url - to notification.properties file, e.g.

catalog.notification.message=New version of NetBeans IDE 6.8 is available!
catalog.notification.url=http://www.netbeans.org/downloads

and provide this file as the argument to ant:

ant generate-uc-catalog -propertyfile <path-to-notification-properties> <other arguments>


The "message" is divided into 2 parts in runtime : the notification title and details. The notification title is the 
first sentence in the message. It should be a plain text (no html tags) ended by \n or <br>. The second, optional, 
"details" part supports simple html elements like <a>, <br/>, <b>, <i> and others - everything that Java`s JTextPane 
supports as the HTML. It can be multi-line, separated either by \n or by <br>. URL attribute is optional but very 
desirable from the UI perspective, it is added to the end of "details" part. Each sentence should not be very lengthy 
(say, less than 200 chars) and worth being separated by the the new line character (\n or <br>).

Examples:
catalog.notification.message=New version of NetBeans IDE 6.8 is available!\n<a href="http://www.netbeans.org/community/
releases/67/">Learn more about the new release</a>.\nDownload new version at <a href="http://www.netbeans.org/
downloads">http://www.netbeans.org/downloads</a>
catalog.notification.url=

catalog.notification.message=New version of NetBeans IDE 6.8 is available!
catalog.notification.url=http://www.netbeans.org/downloads

catalog.notification.message=New version of NetBeans IDE 6.8 is available!\nThis release contains <b>significant 
improvement</b> in the parsing speed.
catalog.notification.url=http://www.netbeans.org/downloads


The message and URL is certainly individual for each release and exact wording (and URL) are up to the marketing team.

Both changesets worth be included in the next 6.7 patch (after verification, certainly). It would allow 6.7(.1) users 
be informated about 6.8 release in time (certainly, if they install updates for autoupdate modules).

Such notifications can also be used for the milestone builds. E.g. we can let 6.8 Beta users know when 6.7 RC build is 
ready if add the appropriate notification to the 6.8 Beta UC standard (stable) catalog.
Comment 7 Quality Engineering 2009-09-01 06:02:39 UTC
Integrated into 'main-golden', will be available in build *200909010201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/beaca5e3bd5f
User: Dmitry Lipin <dlipin@netbeans.org>
Log: Issue #135279 Promote Major Upgrade of IDE
Comment 8 dlipin 2009-09-01 12:44:49 UTC
Yet another fix to MakeUpdateDesc.java (core-main#9d764fde7a4a): notification element should be the first one in 
catalog (before <module_group>, <module>, <license> and others).

So overall patch contains 3 changesets:
http://hg.netbeans.org/core-main/rev/beaca5e3bd5f
http://hg.netbeans.org/core-main/rev/2560f306da37
http://hg.netbeans.org/core-main/rev/9d764fde7a4a
Comment 9 Quality Engineering 2009-09-03 08:43:10 UTC
Integrated into 'main-golden', will be available in build *200909021401* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/9d764fde7a4a
User: Dmitry Lipin <dlipin@netbeans.org>
Log: Issue #135279 Promote Major Upgrade of IDE (notification element should be the first one in catalog)
Comment 10 Torbjorn Norbye 2009-10-02 21:48:17 UTC
Notification is good - but will we support actually updating to the new version with the click of a button?
Comment 11 Michael Nazarov 2009-10-12 11:11:43 UTC
Daily trunk oct 08.
Comment 12 pzajac 2009-10-12 11:41:50 UTC
Can someone answer to Tor's question? It's really curious that you are not able to update whole product in single click. 
Comment 13 Alexei Mokeev 2009-10-12 11:57:04 UTC
Notifications about new release is in the plan for 6.8 and it's implemented. 
I'm sorry, but upgrade itself is out of scope. Right now we want this change to be back-ported into 6.7 to notify users
about 6.8 once avilable. 

The new issue about updating the IDE itself just filed:
http://www.netbeans.org/issues/show_bug.cgi?id=174345

Comment 14 Alexei Mokeev 2009-10-12 11:57:46 UTC
Restoring verification to allow back-porting.
Comment 16 Petr Jiricka 2009-10-26 13:20:27 UTC
I didn't know this was done, thanks a lot! It would be useful to update the wiki page so it contains the current status.
Also, it would be good to see a mini-UI spec/screenshot: what will the notification look like when it appears? Thanks.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo